Draft: Serie

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Array and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎română • ‎svenska • ‎čeština • ‎русский
Questo comando è obsoleto in 0.19. Per il nuovo utilizzo, vedere Serie ortogonale, che funziona essenzialmente allo stesso modo. Vedere anche Serie polare e Serie circolare.


Arrow-left.svg Draft Draft2Sketch.svg Da Draft a Sketch Pagina precedente:
Pagina successiva: Serie di link Draft LinkArray.svg Arrow-right.svg

Draft Array.svg Serie

Nome nel codice
Draft_Array
Posizione nel menu
Draft → Serie
Ambiente
Draft
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Serie polare, Serie circolare,Serie su tracciato, Serie su punti, Clone


Descrizione

Lo strumento Draft Array.svg Serie crea una schiera (array) ortogonale (3 assi) o polare utilizzando gli oggetti selezionati.

Questo strumento può essere utilizzato su forme 2D create con Draft ma può anche essere utilizzato su molti tipi di oggetti 3D come quelli creati con Part o PartDesign.

Per creare direttamente delle serie polari e circolari, utilizzare il corrispondente strumento Serie polare e Serie circolare. Per posizionare le copie lungo un percorso utilizzare Serie su tracciato. Per posizionare le copie in punti specificati usare Serie su punti; per creare copie o cloni e posizionarli manualmente usare Sposta, Ruota, e Clona.

Per creare dei Link invece di normali copie, usare Serie di link, Serie di link su tracciato, e l'opzione link con la Serie polare e la Serie circolare .

Draft Array example.png Draft PolarArray example.png

Una serie ortogonale a sinistra e una serie polare a destra da un oggetto solido


Draft CircularArray example.png

Una serie circolare da un oggetto solido, l'oggetto al centro


Utilizzo

  1. Selezionare un oggetto con cui si desidera creare una serie.
  2. Premere il pulsante Draft Array.svg Serie. Se nessun oggetto è selezionato, si viene invitati a selezionarne uno.
  3. L'oggetto Array viene creato immediatamente. È necessario modificare le proprietà della serie per modificare il numero e la direzione delle copie create.

Ogni elemento della serie è un clone esatto dell'oggetto originale, ma l'intera serie è considerata una singola unità in termini di proprietà e aspetto.

Opzioni

Non ci sono opzioni per questo strumento. O funziona con l'oggetto selezionato o non funziona.

Proprietà

  • DatiBase: specifica l'oggetto da duplicare nella schiera.
  • DatiArray Type: specifica il tipo di schiera da creare, "ortho", "polar", o "circular".
  • DatiFuse: se è True, e le copie si intersecano tra loro, esse vengono fuse insieme in un'unica forma.

Per le serie ortogonali:

  • DatiInterval X: intervallo tra ciascuna copia sull'asse X.
  • DatiInterval Y: intervallo tra ciascuna copia sull'asse Y.
  • DatiInterval Z: intervallo tra ciascuna copia sull'asse Z.
  • DatiNumber X: il numero di copie sull'asse X.
  • DatiNumber Y: il numero di copie sull'asse Y.
  • DatiNumber Z: il numero di copie sull'asse Z.

Per le serie polari:

  • DatiAxis: specifica la direzione normale del cerchio della schiera.
  • DatiCenter: specifica il punto centrale del cerchio della schiera.
  • DatiAngle: specifica l'apertura dell'arco circolare da coprire con le copie; usare 360 per coprire un intero cerchio.
  • DatiNumber Polar: specifica il numero di copie da inserire nella disposizione circolare.
  • DatiInterval Axis: specifica l'intervallo tra ciascuna copia nella direzione DatiAxis.

Per la serie circolare:

  • DatiNumber Circles:
  • DatiRadial distance:
  • DatiSymmetry:
  • DatiTangential Distance:

Le proprietà Number, X, Y, Z o Polar, includono anche l'oggetto originale, quindi questo numero è almeno uno.

Un intervallo non è una semplice distanza, ma è un vettore (x, y, z). Se più di un valore è diverso da zero, la copia viene creata nella direzione principale, ma viene anche spostata nelle altre direzioni diverse da zero.

Per esempio, se DataInterval X è (2 m, 1 m, 1 m), e DataNumber X è 3, vengono create 3 copies nella direzione X; la prima copia è nella posizione originale, la seconda è spostata di 2 m su X, 1 m su Y, e 1 m su Z; la terza copia è spostata di 4 m su X, 2 m su Y, e 2 m su Z. Ogni elemento dell'array è spostato leggermente su un lato (direzione Y) e verso l'alto (direzione Z) accanto alla direzione X principale.

La proprietà DataInterval Axis funziona allo stesso modo. Se la forma originale si trova sul piano XY, creando un array polare con DataInterval Axis (0, 0, z) permette di creare ordinamenti a spirale.

Script

Vedere anche: API Arch e Script di base per FreeCAD.

Lo strumento Array può essere utilizzato nelle macro e dalla console Python utilizzando due diverse funzioni, a seconda se si desidera ottenere delle copie autonome del proprio oggetto base o un oggetto array parametrico che rimane collegato all'oggetto originale.

Schiera semplice

La firma di base è la seguente:

array_list = array(objectslist, arg1, arg2, arg3, arg4=None, arg5=None, arg6=None)

Per creare una matrice rettangolare, si usa in questo modo:

array_list = array(objectslist, xvector, yvector, xnum, ynum)
array_list = array(objectslist, xvector, yvector, zvector, xnum, ynum, znum)

Per creare un array polare, si usa in questo modo:

array_list = array(objectslist, center, totalangle, totalnum)
  • Crea una schiera dagli oggetti contenuti in objectslist, che può essere un singolo oggetto o un elenco di oggetti.
  • Nel caso di una sschiera rettangolare, xvector, yvector, e zvector determinano la distanza tra i punti base di ciascuna copia, nelle direzioni X, Y e Z.; e xnum, ynum, e znum sono il numero di copie nella rispettiva direzione.
  • Nel caso di una sschiera polae, center definisce il centro del cerchio della schiera, totalangle è l'angolo in gradi dell'arco da coprire con le copie, e totalnum è il numero di copie da disporre attorno al cerchio, incluso l'oggetto originale.
  • array_list viene restituito con le nuove copie.
    • array_list è un singolo oggetto o un elenco di oggetti, a seconda dell'input objectslist.

Questa funzione utilizza internamente Draft.move() e Draft.rotate() con copy=True.

Esempio:

import FreeCAD, Draft

Rect = Draft.makeRectangle(1500, 500)

array_list = Draft.array(Rect, FreeCAD.Vector(1600, 0, 0), FreeCAD.Vector(0, 600, 0), 3, 4)

Serie parametrica

La firma di base è la seguente:

Array = makeArray(baseobject, arg1, arg2, arg3, arg4=None, arg5=None, arg6=None, name="Array")

Per creare una serie rettangolare, si usa in questo modo:

Array = makeArray(baseobject, xvector, yvector, xnum, ynum, name="Array")
Array = makeArray(baseobject, xvector, yvector, zvector, xnum, ynum, znum, name="Array")

Per creare una serie polare, si usa in questo modo:

Array = makeArray(baseobject, center, totalangle, totalnum, name="Array")
  • Crea un oggetto Array dal baseobject dato.
  • Nel caso di una schiera rettangolare, xvector, yvector, e zvector determinano la distanza tra i punti base di ciascuna copia, nelle direzioni X, Y e Z.; e xnum, ynum, e znum sono il numero di copie nella rispettiva direzione.
  • Nel caso di una schiera polare, center definisce il centro del cerchio della schiera, totalangle è l'angolo in gradi dell'arco da coprire con le copie, e totalnum è il numero di copie da disporre attorno al cerchio, incluso l'oggetto originale.

Esempio:

import FreeCAD, Draft

Rect = Draft.makeRectangle(1500, 500)
xvector = FreeCAD.Vector(1600, 0, 0)
yvector = FreeCAD.Vector(0, 600, 0)
Array = Draft.makeArray(Rect, xvector, yvector, 3, 4)

Tri = Draft.makePolygon(3, 600)
center = FreeCAD.Vector(-1600, 0, 0)
Array2 = Draft.makeArray(Tri, center, 360, 6)
Arrow-left.svg Draft Draft2Sketch.svg Da Draft a Sketch Pagina precedente:
Pagina successiva: Serie di link Draft LinkArray.svg Arrow-right.svg